### Method

# GtkSource FileSaver set_compression_type

#### Declaration [src]

    void
    gtk_source_file_saver_set_compression_type (
      GtkSourceFileSaver* saver,
      GtkSourceCompressionType compression_type
    )

#### Description [src]

Sets the compression type. By default the compression type is taken from the `GtkSourceFile`.

Sets property | `GtkSource.FileSaver:compression-type`

#### Parameters

`compression_type`

  Type: `GtkSourceCompressionType`

  The new compression type.